Skip to main content
GET
/
v1
/
businesses
/
{businessId}
/
loans
/
{loanId}
/
proceeds
List loan proceeds
curl --request GET \
  --url https://sandbox.layerfi.com/v1/businesses/{businessId}/loans/{loanId}/proceeds \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "business_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "loan_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "amount": 123,
      "date": "2023-12-25",
      "transaction_tags": [
        {
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "key": "ExampleTagKey",
          "value": "ExampleTagValue",
          "dimension_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "definition_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "dimension_display_name": "<string>",
          "value_display_name": "<string>",
          "archived_at": "2023-11-07T05:31:56Z"
        }
      ],
      "external_id": "<string>",
      "asset_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "archived_at": "2023-11-07T05:31:56Z",
      "memo": "<string>",
      "metadata": {},
      "reference_number": "<string>"
    }
  ],
  "meta": {
    "type": "request_metadata",
    "pagination": {
      "sort_by": "<string>",
      "cursor": "<string>",
      "has_more": true,
      "total_count": 123
    }
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

businessId
string<uuid>
required

The UUID of the business.

loanId
string<uuid>
required

The UUID of the loan.

Response

200 - application/json

A list of loan proceeds.

data
object[]
required
meta
object

Request metadata. Present on paginated list responses.